PETSc version 3.17.4
Fix/Edit manual page

# TSIRKSetType

Set the type of IRK scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKSetType(TS ts,TSIRKType irktype)

Logically collective

### Input Parameters

| ts | - timestepping context
| irktype | - type of IRK scheme

### Options Database

| -ts_irk_type <gauss> | - set irk type

### See Also

TSIRKGetType(), TSIRK, TSIRKType, TSIRKGAUSS

### Level

intermediate

### Location

src/ts/impls/implicit/irk/irk.c

### Implementations

TSIRKSetType_IRK in src/ts/impls/implicit/irk/irk.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages